"use strict";

const ValidationError = require("@validatem/error");
const isString = require("@validatem/is-string");

module.exports = [
	isString,
	function isEmailAddress(value) {
		// TODO: Include explanation in README as to how this really *is* the correct check in practice, and that any further validation should be done by actually trying to send an e-mail
		if (!value.includes("@")) {
			throw new ValidationError(`Must be an e-mail address`);
		}
	}
];
